Upgrade a Deployment to a new Elastic Stack version
- POST /deployments/{deployment_id}/upgrade
Important: This API is currently in Tech Preview. While available for use, it is subject to change. Upgrades all resources (Elasticsearch, Kibana, APM, Enterprise Search, etc.) in the deployment to the specified Elastic Stack version. Both the current deployment version and the target version must be >= 8.0.0.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
Request
Target version must be >= 8.0.0.
-
target_versionstringrequired -
Target Elastic Stack version to which to upgrade
Responses
Deployment upgrade initiated successfully
Response Type: EmptyResponse
- The specified version is invalid or not available. (code:
deployments.invalid_version) - The target version must be >= 8.0.0. (code:
deployments.upgrade.target_version_must_be_above_8_0_0) - The current deployment version must be >= 8.0.0. (code:
deployments.upgrade.source_version_must_be_above_8_0_0) - The target version must be greater than the current deployment version. (code:
deployments.upgrade_path_not_allowed)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
A resource in the deployment has a failed last plan attempt. Resolve it before upgrading. (code: deployments.upgrade_deployment_resource_last_plan_failed)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Failed to upgrade the deployment. (code: deployments.upgrade_internal_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response